Admin McAdminPanel v1.0.8 | Minecraft Web Admin Panel! | Easy Setup!

Discussion in 'Bukkit Tools' started by Chiller, Oct 23, 2014.

Thread Status:
Not open for further replies.
  1. Offline

    Blkscorpion2

    Well been running this thing for over a week with only one error, which is probably caused by my server. V107 is by far the best one. Anyone else running this panel?
     
  2. Offline

    Chiller

    @Blkscorpion2 No that error is actually caused by the panel, it is a very minor bug, the only effect it has on the server is it spits out an annoying error message. Will be fixed in the next update.
     
  3. Offline

    Blkscorpion2

    @Chiller OK i thought it was the 1.7.10 server. Since it didn't really affect anything, i wasn't too concern over it. I'm glad your still on top of things.
     
  4. Offline

    Chiller

    Thanks guys for all the support! I have gotten about 200 downloads on the 1.0.7 version and not many bug reports so it seems like its working for you guys! There will be another update coming out that has a better install wizard and also I am adding localization! For all you non english speakers!
     
  5. Offline

    Vilsol

    Well one big problem I have found is that if you try to install this on a machine that doesn't run any displays (Linux machine without any X servers), your program crashes when it tries to load the browser after entering the port.
     
  6. Offline

    Chiller

    @Vilsol Well for me to be able to help you with that I am going to need an error message or something to go off of...
     
  7. Offline

    Vilsol

    @Chiller There is no error message needed, just add a try-catch around the code where you try to open the browser and you will be fine. The reason this happens is because there is no physical screen connected to the server, therefore the entire program crashes due to failure of opening the browser.
     
  8. Offline

    Chiller

    Download Here
    Updated to v1.0.8, changelog below! Thanks for over 500 downloads so far!

    v1.0.8
    - Fixed not being able to be in creative
    - Fixed crashing when trying to open browser
    - Fixed modals having multiple click events
    - Fixed plugin response timeouts
    - Other minor bug fixes
     
  9. Offline

    Vilsol

    Well, another bug to report: I am already using the port 80 for my webserver, so I wan't to use a different port for this, but no matter what I specify in your config, it still overrides it to 80.
     
  10. Offline

    Chiller

    @Vilsol Oh whoops I accidentally disabled the piece of code that asks what port you are going to be using before it starts... So I will hopefully have an update out for that soon!

    Download Here
    Updated to v1.0.9, changelog below! Thanks for over 500 downloads so far!

    v1.0.9
    - Fixed not asking for port before install
    - Added bottom border colors!
    - Other minor bug fixes


    @Vilsol
     
    Last edited by a moderator: Mar 11, 2015
  11. Offline

    e_wat

    Hey I don't know what I'm doing wrong, but I keep getting this error:


    Exception in thread "main" java.lang.UnsupportedClassVersionError: org/eclipse/jetty/util/log/Logger : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    logout

    [Process completed]



    Now, is "Unsupported major.minor version 51.0" to do with my Java version? Or is it to do with my Bukkit and Spigot versions?
     
  12. Offline

    nverdier

    @e_wat It mean's you compiling with a higher version of Java than your server is running.
     
  13. Offline

    e_wat

    Ahhh awesome, thanks!

    This is my first time running a server for my mates. Still, at 29 I don't possess the skills of a 14 year old savant and a lot of this makes little sense.

    Any way I can rectify this?
     
  14. Offline

    nverdier

    @e_wat
    Either
    a) Compile with a lower version of Java, or
    b) Run your server with a higher version.
     
  15. Offline

    JGSBroadcast

    At first I didn't know how to setup it up and then when I found out how to I just couldn't believe how great it was. Keep up the great work! [diamond]
     
  16. Offline

    FisheyLP

    How to setup on linux?
     
  17. Offline

    c0r3x

    is the site offline ? i cant open the download link
     
Thread Status:
Not open for further replies.

Share This Page